{% extends 'base.html' %}

{% block content %}
    {% include 'partials/search.html' %}

    <div class="list-group mt-3">
        {% for post in posts %}
          <div class="d-flex">
              <a href="{% url 'post_detail' post.pk %}" class="list-group-item list-group-item-action">
                  <span>{{ post.id }}.</span>
                  <b style="color: blue;">{{ post.title }}</b>
                  <span>by {{ post.author }}</span>
              </a>
            <a href="{% url 'post_update' post.pk %}" class="btn btn-primary">Edit</a>
          </div>
        {% endfor %}
    </div>
{% endblock %}s